Subject: pre-commit hook question

From: Nick Dimov <[email-masked]>
Date: Sat, 14 Jun 2014 20:34:14 +0300

Hello everyone.
Im struggling for a couple of hours to make git store metadata of the
files using metastore and I use hooks/pre-commit for this. The problem
is that the script is invoked correctly, and modifies the file
"metadata" but the file itself is not added into commit. I tried calling
"git add metadata" and "git add -u metadata" but there is no effect. The
file ends up uncommited and marked as modified or staged BUT not
commited, ever.

Is there any way to make this work?
Basically, I want it to update and commit the file "metadata" on each
commit.
(then i want to make the same on checkout, but first i need to make
storing work correctly)

Thanks!

P.S. If you are wondering why I need this, the answer is I store OS
files for an embedded device which needs permisions/suid flags etc.